Subject: Re: bug#51556: 29.0.50; Poor contrast of Customize SVG icons with dark backgrounds

From: Kévin Le Gouguec <[email-masked]>
Date: Tue, 02 Nov 2021 23:56:27 +0100

Alan Third <[email-masked]> writes:

> This is the case we looked at when we originally replaced the
> customize widgets with SVGs. At the time we very intentionally removed
> the colour and size information from the SVG files (checkbox.svg, etc)
> so that they would match the colours and font size of the surrounding
> text.
>
> I guess, unfortunately, these arrows were missed.

Ah, that makes sense; sorry I didn't think of looking at the history of
the other icons, I would probably have made a simpler report focusing on
the solution that Stefan pushed today, instead of babbling about adding
features to the widget code.

FWIW, I think your comment reinforces the idea that Stefan's fix belongs
on the release branch, but I understand that we all want 28.1 out the
door already, so 🤷

Thank you all for your help.